﻿import request from '/@/utils/request';
enum Api {
  AddWcsCheckTask = '/api/wcsCheckTask/add',
  DeleteWcsCheckTask = '/api/wcsCheckTask/delete',
  UpdateWcsCheckTask = '/api/wcsCheckTask/update',
  PageWcsCheckTask = '/api/wcsCheckTask/page',
  DetailWcsCheckTask = '/api/wcsCheckTask/detail',
}

// 增加分拣任务表
export const addWcsCheckTask = (params?: any) =>
	request({
		url: Api.AddWcsCheckTask,
		method: 'post',
		data: params,
	});

// 删除分拣任务表
export const deleteWcsCheckTask = (params?: any) => 
	request({
			url: Api.DeleteWcsCheckTask,
			method: 'post',
			data: params,
		});

// 编辑分拣任务表
export const updateWcsCheckTask = (params?: any) => 
	request({
			url: Api.UpdateWcsCheckTask,
			method: 'post',
			data: params,
		});

// 分页查询分拣任务表
export const pageWcsCheckTask = (params?: any) => 
	request({
			url: Api.PageWcsCheckTask,
			method: 'post',
			data: params,
		});

// 详情分拣任务表
export const detailWcsCheckTask = (id: any) => 
	request({
			url: Api.DetailWcsCheckTask,
			method: 'get',
			data: { id },
		});


